package com.ebts.generator.entity;

import java.util.List;
import com.ebts.common.core.entity.BaseEntity;
import com.ebts.common.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * top万能查询主对象 gen_top_search_table
 * 
 * @author clay
 * @date 2021-07-20
 */
public class TopSearchTable extends BaseEntity{

    /** 主键id */
    private Long id;

    /** 表名 */
    private String tableName;

    /** 表描述 */
    private String tableComment;

    /** top万能查询字段信息 */
    private List<TopSearchColumn> topSearchColumnList;

    private Long[] roleIds;

    private List<RelationalMap> relationalMapList;

    public List<RelationalMap> getRelationalMapList() {
        return relationalMapList;
    }

    public void setRelationalMapList(List<RelationalMap> relationalMapList) {
        this.relationalMapList = relationalMapList;
    }

    public Long[] getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(Long[] roleIds) {
        this.roleIds = roleIds;
    }

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setTableName(String tableName){
        this.tableName = tableName;
    }

    public String getTableName(){
        return tableName;
    }
    public void setTableComment(String tableComment){
        this.tableComment = tableComment;
    }

    public String getTableComment(){
        return tableComment;
    }

    public List<TopSearchColumn> getTopSearchColumnList(){
        return topSearchColumnList;
    }

    public void setTopSearchColumnList(List<TopSearchColumn> topSearchColumnList){
        this.topSearchColumnList = topSearchColumnList;
    }
    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tableName", getTableName())
            .append("tableComment", getTableComment())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("topSearchColumnList", getTopSearchColumnList())
            .toString();
    }

}
